> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seekr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create thread

> Create a new thread.



## OpenAPI

````yaml post /v1/threads
openapi: 3.1.0
info:
  title: SeekrFlow API
  description: SeekrFlow API Documentation
  termsOfService: http://www.seekr.com/support
  contact:
    name: Seekr API Support
    url: http://www.seekr.com/contact
    email: contact@seekr.com
  version: 5.30.1
servers:
  - url: https://flow.seekr.com
    description: SeekrBuild server base URL
security: []
paths:
  /v1/threads:
    post:
      tags:
        - Threads
      summary: Create thread
      description: Create a new thread.
      operationId: create_thread_endpoint_v1_threads_post
      parameters:
        - name: x-team-id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Team-Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ThreadCreateRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Thread'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    ThreadCreateRequest:
      properties:
        meta_data:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta Data
      type: object
      title: ThreadCreateRequest
      description: |-
        Pydantic model for creating a thread request.

        Attributes:
            meta_data (Optional[dict[str, Any]]): Optional metadata dictionary.
    Thread:
      properties:
        id:
          type: string
          title: Id
        object:
          type: string
          title: Object
          default: thread
        created_at:
          type: string
          format: date-time
          title: Created At
        status:
          $ref: '#/components/schemas/ThreadStatus'
          default: available
        active_run_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Active Run Id
        meta_data:
          additionalProperties: true
          type: object
          title: Meta Data
      type: object
      required:
        - id
        - created_at
      title: Thread
      description: |-
        A thread is a top-level conversation container.

        Threads can contain multiple messages from various assistants and users,
        providing a complete history of an interaction sequence.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ThreadStatus:
      type: string
      enum:
        - available
        - locked
      title: ThreadStatus
      description: Available status for a thread.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      description: Authorization Bearer Token
      in: header
      name: Authorization

````